How to rebuild the the firmware uImage used for MfgTool ?

cancel
Showing results for 
Search instead for 
Did you mean: 

How to rebuild the the firmware uImage used for MfgTool ?

616 Views
jiangshao
Contributor V

We want to use emmc5.0 on our custom board(imx6dl sabresd, OS:JB4.2.2). I know I need to rebuild the uImage for mfgtool.

EMMC 5.0 and EMMC 5.1 work on i.MX6 

How to rebuild the the firmware uImage used for MfgTool ?

0 Kudos
3 Replies

297 Views
jiangshao
Contributor V

感觉最近NXP community上没人回答问题了。。。。

如果不能回答的话,能否告知我们android5.0或者6.0的mfgtool是否已经支持emmc5.0?

若已经支持,我们是否能够使用android5.0或者6.0的mfgtool来烧写JB4.2.2的image?

盼回答

0 Kudos

297 Views
igorpadykov
NXP TechSupport
NXP TechSupport

Hi jiang

for L3.0.35 kernel (which is used in JB4.2.2) please refer to attached Linux Guide

sect.3.9 Building Manufacturing Firmware

Best regards
igor
-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

0 Kudos

297 Views
jiangshao
Contributor V

It means  to get the uImage for mfgtool, I need to download linux ?

NXP FAE can provide the modified uImage(card->ext_csd.rev > 6=>8) for us?

0 Kudos